package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.dto.ZccmThirdCourseBack;
import com.hc.business.dto.ZccmThirdCourseDto;
import com.hc.business.model.ZccmThirdCourse;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 第三方用户课程配置表(ZccmThirdCourse)表服务接口
 *
 * @author java
 * @since 2020-06-17 17:29:30
 */

@Component
public interface ZccmThirdCourseService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ZccmThirdCourse queryById(Integer id);

    /**
     * 新增数据
     *
     * @param thirdCourse 实例对象
     * @return 实例对象
     */
    ZccmThirdCourse insert(ZccmThirdCourse thirdCourse);

    /**
     * 修改数据
     *
     * @param thirdCourse 实例对象
     * @return 实例对象
     */
    ZccmThirdCourse update(ZccmThirdCourse thirdCourse);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    Boolean deleteById(Integer id);

    /**
     * 分页查询所有数据
     *
     * @param page 页码
     * @param size 每页大小
     * @return 实例对象数组
     */
    PageInfo queryPageAll(Integer page, Integer size);

    /**
     * 获取课程
     *
     * @param token 第三方token
     * @return 实例对象数组
     */
    List<ZccmThirdCourseDto> queryThreadCourseDto(String token);

    List<ZccmThirdCourseBack> queryZccmThirdCourseDtoById(Integer thirdId);
}